Tag

openjdk:28-ea-1
Content Digest: sha256:fe0d336d7999e5b21c736a5c77a9346ac804b52d3c6c65b0f118202635ad60b2
Manifests
Details
Content Digest

sha256:e398da793db8d5cdb458d4b142ebcc8315bf2417478b114dfcf1ca8432b22162

Created

2026-06-11 04:16:29 CST

Size

294 MB


Environment
JAVA_HOME

/usr/java/openjdk-28

JAVA_VERSION

28-ea+1

LANG

C.UTF-8

PATH

/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:ded2aa0abafd1e1e93e05338cb1b14916dbeb283d3862aa21e5d8b0164f4cbf3 - 14.0% (41.1 MB)

[#001] sha256:5a3a091d5bf5b9502925e9432eb207c1e269cea76781504abe4ffd9be89d00a5 - 12.24% (35.9 MB)

[#002] sha256:e4e612be402a1f97457f0ff44cdfba0879958f85287bd20ed6ef04ffb7340c61 - 73.76% (217 MB)


History
2026-05-13 02:44:08 CST (buildkit.dockerfile.v0)

ADD oraclelinux-10-slim-amd64-rootfs.tar.xz / # buildkit

2026-05-13 02:44:08 CST (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2026-06-11 04:16:18 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2026-06-11 04:16:29 CST (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-28

2026-06-11 04:16:29 CST (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-06-11 04:16:29 CST (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2026-06-11 04:16:29 CST (buildkit.dockerfile.v0)

ENV JAVA_VERSION=28-ea+1

2026-06-11 04:16:29 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk28/1/GPL/openjdk-28-ea+1_linux-x64_bin.tar.gz'; downloadSha256='d9b2b25f13a93424625f129bc9725ded401725e36ac819b9f4951f02bc8fc91c'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk28/1/GPL/openjdk-28-ea+1_linux-aarch64_bin.tar.gz'; downloadSha256='642cdb07549c099010edf29631c3ceea1b96000fcd1c15d23598eb99bcb16042'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2026-06-11 04:16:29 CST (buildkit.dockerfile.v0)

CMD ["jshell"]

Details
Content Digest

sha256:101f0539ec18a520156c47334280dd1a4fdc4b4e361bde9f4838e5871f84791d

Created

2026-06-11 04:33:25 CST

Size

2.33 GB


Environment
JAVA_HOME

C:\openjdk-28

JAVA_SHA256

4aaad6cb26305877733b973a209216ad1ed529c381dd88c56e3ab87f579f96cc

JAVA_URL

https://download.java.net/java/early_access/jdk28/1/GPL/openjdk-28-ea+1_windows-x64_bin.zip

JAVA_VERSION

28-ea+1


Layers

[#000] sha256:0938cf51b672b81c9804d1d5f0c57031c931f41b279270e84820c63642d6a3bd - 60.84% (1.42 GB)

[#001] sha256:2ee71d57b2226db82d002abc39a97b7dd144f007db435566364a0285bf115b83 - 30.2% (721 MB)

[#002] sha256:62942753aabfd6992545f04405cbb39eed4237ae5ed4cee184b2f7eb24854ff6 - 0.0% (1.25 KB)

[#003] sha256:3789dac8f9c917f9f8a77de757287072987aaa129b4466676d157d16896aac69 - 0.01% (358 KB)

[#004] sha256:3695b63f05f064472b2c470b6f8900dd3748f1f7e2c4fed62b87751f6965c956 - 0.0% (1.23 KB)

[#005] sha256:39a08bb8a49a7f5da3876c1243bb2c2adfc6e36414546fec5cf9891a5ea69572 - 0.01% (336 KB)

[#006] sha256:94d3a342c35bf57992160507d034a831b8d650fbecc4928ef4cbad561a328dd3 - 0.0% (1.23 KB)

[#007] sha256:39f7c7203ee1837ca6796925e9c4c7e55c2c1eaf8f555934011a6f036f9b5c1a - 0.0% (1.27 KB)

[#008] sha256:6d4372764e688496bcdc6517ff9be041d13750fb1728600ebc725e2404e4f805 - 0.0% (1.26 KB)

[#009] sha256:d4dbb4a5ec2d34ffa30cc7cc4cdca2c62d41878d6ecaef8fe2784dfe6a685971 - 8.93% (213 MB)

[#010] sha256:f93f1ece0ba7ac763e32f7fbc6626d342c07f4240cc1e9c295bbe708adfd7a12 - 0.0% (1.28 KB)


History
2026-01-11 17:57:36 CST

Apply image 10.0.26100.32230

2026-06-07 15:36:39 CST

Install update 10.0.26100.32995

2026-06-11 04:32:42 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2026-06-11 04:32:50 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2026-06-11 04:32:51 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-28

2026-06-11 04:32:58 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2026-06-11 04:32:59 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=28-ea+1

2026-06-11 04:33:00 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk28/1/GPL/openjdk-28-ea+1_windows-x64_bin.zip

2026-06-11 04:33:00 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=4aaad6cb26305877733b973a209216ad1ed529c381dd88c56e3ab87f579f96cc

2026-06-11 04:33:24 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2026-06-11 04:33:25 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Content Digest

sha256:13c8dbc8eff6903ac91d970867d7948846b574e9b8344d796c14ca963902aef6

Created

2026-06-11 04:33:18 CST

Size

2.19 GB


Environment
JAVA_HOME

C:\openjdk-28

JAVA_SHA256

4aaad6cb26305877733b973a209216ad1ed529c381dd88c56e3ab87f579f96cc

JAVA_URL

https://download.java.net/java/early_access/jdk28/1/GPL/openjdk-28-ea+1_windows-x64_bin.zip

JAVA_VERSION

28-ea+1


Layers

[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 63.19% (1.39 GB)

[#001] sha256:6897a04901ec162be0eabd7eb636b5ac50d6e37c880f1db618610f2d777b1ce6 - 27.29% (613 MB)

[#002] sha256:abd9121b5774d0150ac1e22ec7200dd419a682811de66fff0c1551a900021c0b - 0.0% (1.26 KB)

[#003] sha256:7bb0d28702d321cc626a04fa13376320206724f7fb22a27b8f622af9b427fb6a - 0.02% (477 KB)

[#004] sha256:e0badc65f3a24a04834f832f7a732c98d4474a0e525173fee01f851e2473fa51 - 0.0% (1.3 KB)

[#005] sha256:5b5b8ebec94fce3e3e71541e14d596ca4b26e1f7148cfc946e826dbe7eb0f65d - 0.01% (329 KB)

[#006] sha256:b164be2425dc6c1f79bf5f74339240217ce9ea8b95b53c99e5fa66f9eb74856c - 0.0% (1.26 KB)

[#007] sha256:a3e476fbc093820445ba9246996283985e11a939a5cd1a82abf079b05dd9b826 - 0.0% (1.27 KB)

[#008] sha256:65f2af31251073e2fbc37360c703cd7c1001282772e16d29f15f3fdcbdad5a54 - 0.0% (1.29 KB)

[#009] sha256:86eabee0208761fe0cff9a133d7d25f05886835ad1d97a7b6a01e1b46756c42b - 9.49% (213 MB)

[#010] sha256:9ddbdaa6f5cbf6df581dbc08baa9746c985702f2370158c339b9e01fe97afed0 - 0.0% (1.27 KB)


History
2025-10-09 15:51:18 CST

Apply image 10.0.20348.4294

2026-06-07 14:43:23 CST

Install update 10.0.20348.5256

2026-06-11 04:32:43 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2026-06-11 04:32:50 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2026-06-11 04:32:50 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-28

2026-06-11 04:32:55 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2026-06-11 04:32:56 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=28-ea+1

2026-06-11 04:32:57 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk28/1/GPL/openjdk-28-ea+1_windows-x64_bin.zip

2026-06-11 04:32:57 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=4aaad6cb26305877733b973a209216ad1ed529c381dd88c56e3ab87f579f96cc

2026-06-11 04:33:17 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2026-06-11 04:33:18 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Content Digest

sha256:32d36397dde5fd3050f037bd964b55271df3117ef2595832472cf0ec9485c84c

Created

2026-06-11 04:16:12 CST

Size

290 MB


Environment
JAVA_HOME

/usr/java/openjdk-28

JAVA_VERSION

28-ea+1

LANG

C.UTF-8

PATH

/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:523b5fcd95921b1880258a8c56e30985e8f3adf21d143bf177907dc76d6a562b - 13.64% (39.6 MB)

[#001] sha256:99fcf0680d775f190e076763c19c1adb68b65a9decebf73c200e4f214b1bc363 - 12.39% (35.9 MB)

[#002] sha256:d149bcac8c1193d9dadfe6075d2599b1dc6987f325aa6a5ad1dc73012acdcb29 - 73.97% (215 MB)


History
2026-05-13 02:43:55 CST (buildkit.dockerfile.v0)

ADD oraclelinux-10-slim-arm64v8-rootfs.tar.xz / # buildkit

2026-05-13 02:43:55 CST (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2026-06-11 04:15:59 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2026-06-11 04:16:12 CST (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-28

2026-06-11 04:16:12 CST (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-06-11 04:16:12 CST (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2026-06-11 04:16:12 CST (buildkit.dockerfile.v0)

ENV JAVA_VERSION=28-ea+1

2026-06-11 04:16:12 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk28/1/GPL/openjdk-28-ea+1_linux-x64_bin.tar.gz'; downloadSha256='d9b2b25f13a93424625f129bc9725ded401725e36ac819b9f4951f02bc8fc91c'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk28/1/GPL/openjdk-28-ea+1_linux-aarch64_bin.tar.gz'; downloadSha256='642cdb07549c099010edf29631c3ceea1b96000fcd1c15d23598eb99bcb16042'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2026-06-11 04:16:12 CST (buildkit.dockerfile.v0)

CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.